CDOWN(1)

NAME
cdown - query cddb database for info on a disc

SYNOPSIS
cdown
cdown     [-[0..9]|-d device] [-H H] [-P P] [-V|-?|-h]

DESCRIPTION
The cdown command is a command to query the CD-ROM for track information, use this to fetch information on this CD-ROM from the CDDB databases (freedb.freedb.org), and then output the information in a form suitable for cdir(1). cdown prints the information it downloads on stdout, in a format suitable for appending to .cdtooldb. Should there be an uncertainty as to which CD-ROM information it should download, it prints a list of alternatives to stderr and prompts for the user to select one. A network connection is required for this to operate properly.

OPTIONS

    -d device
        specify the cdrom device

    -H host
        get database using HOST (def=freedb.freedb.org)

    -P port
        get database using PORT (def=888)

    -l  list available cddb hosts

    -[1..9]
        specify /dev/cdromN (def=/dev/cdrom)

    -r  output raw answer of the CDDB server

    -v  verbose output

    -D  enable runtime debugging

    -V  print version, exit

    -[?|h]
        print help, exit

FILES
~/.cdtooldb - default database file.

ENVIRONMENT
CDTOOLDBPATH - colon delimited path of database files to search. It is not necessary to specify ~/.cdtooldb, as this is automatically added to the end of the search path.

CDTOOLDEV - device file for cd-rom, overrides compile-time defaults. CDDBHOST - host to query, overrides compile-time default

SEE ALSO
cdir(1)

AUTHORS
Main code:
    Bryon Ellacott <rodent@homer.humbug.org.au>
Enhancements:
    Wade Hampton <whampton@staffnet.com>